<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" data-theme="light">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
        <meta name="color-scheme" content="light only">

        <title>{{config('app.name')}}</title>

        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />
        <link href="https://cdn.jsdelivr.net/npm/daisyui@4.12.10/dist/full.min.css" rel="stylesheet" type="text/css" />
        <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">

        <meta name="csrf-token" content="{{ csrf_token() }}">

        @vite(['resources/css/app.css','resources/js/app.js'])
    </head>
    <body class="antialiased font-serif relative" style="overflow-x: hidden">

        <!-- Gimmicks -->
        <div id="loading" class="fixed flex bg-cyan-200" style="top:0;left:0;z-index:9999;width:100%;height:100vh">
            <span class="loader mx-auto my-auto"></span>
        </div>
        <div role="alert" class="alert alert-info hidden z-40 fixed w-1/2 top-3 right-3">
            <span></span>
        </div>
        <audio id="player" loop>
            <source src="{{ asset('assets/background-musicv2.mp3') }}" type="audio/mp3">
        </audio>

        <div class="parent absolute h-screen w-screen" style="z-index: 999">
            @include('components.front-cover')
        </div>
        <div class="parent absolute h-screen w-screen dummy-cover" style="z-index: 999">
            @include('components.front-cover-intro-dummy')
        </div>
        <div class="petal-overlay hidden" id="petalOverlay">
            <img src="{{ asset('assets/petal.gif') }}" alt="Falling Petals">
        </div>
        <div class="section bg-babyblue min-h-screen flex justify-center items-center pb-20">
            @include('components.main-event')
        </div>
        <div class="section bg-babyblue min-h-screen flex justify-center pb-5">
            @include('components.event-info')
        </div>
        <div class="section bg-babyblue flex justify-center pb-5">
            @include('components.countdown')
        </div>
        <div class="section bg-babyblue flex justify-center pt-5 pb-5">
            @include('components.guestbook')
        </div>
        <div  class="section bg-babyblue flex justify-center pb-24">
            @include('components.prayer')
        </div>
        @include('components.navbar')

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" defer/>
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js" defer></script>

        @stack('script')
    </body>
</html>
